Skip to main content
GET
/
usage
/
concurrent
/
by-model
Get usage aggregated by model
curl --request GET \
  --url https://restapi.deepdub.ai/api/v1/usage/concurrent/by-model \
  --header 'x-api-key: <api-key>'
{
  "customerId": "<string>",
  "from": "2023-12-25",
  "to": "2023-12-25",
  "items": [
    {
      "modelId": "<string>",
      "region": "<string>",
      "totalUsageSecondsTimesSize": 123,
      "totalConcurrencyHours": 123,
      "averageInstancesOverRange": 123,
      "daysWithUsage": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.deepdub.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Must start with dd- prefix.

Headers

x-api-key
string
default:dd-00000000000000000000000065c9cbfe
required

API Key

Query Parameters

from
string<date>
required

Start date (inclusive)

to
string<date>
required

End date (inclusive). Must be on or after from. Maximum range is 366 days.

model_id
string

Filter by model ID

region
string

Filter by region

Response

Aggregated usage data by model

customerId
string
from
string<date>
to
string<date>
items
object[]